
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch fixes display of the boot messages on the BMAC driver (pmac
only).  It used to be messed up in 2.6


---

 25-akpm/drivers/net/bmac.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/net/bmac.c~bmac-boot-messages-fix drivers/net/bmac.c
--- 25/drivers/net/bmac.c~bmac-boot-messages-fix	2004-03-23 17:02:01.636142760 -0800
+++ 25-akpm/drivers/net/bmac.c	2004-03-23 17:02:01.639142304 -0800
@@ -1312,10 +1312,8 @@ static int __devinit bmac_probe(struct m
 	bmwrite(dev, INTDISABLE, DisableAll);
 
 	rev = addr[0] == 0 && addr[1] == 0xA0;
-	for (j = 0; j < 6; ++j) {
+	for (j = 0; j < 6; ++j)
 		dev->dev_addr[j] = rev? bitrev(addr[j]): addr[j];
-		printk("%c%.2x", (j? ':': ' '), dev->dev_addr[j]);
-	}
 
 	/* Enable chip without interrupts for now */
 	bmac_enable_and_reset_chip(dev);
@@ -1380,6 +1378,8 @@ static int __devinit bmac_probe(struct m
 	}
 
 	printk(KERN_INFO "%s: BMAC%s at", dev->name, (is_bmac_plus? "+": ""));
+	for (j = 0; j < 6; ++j)
+		printk("%c%.2x", (j? ':': ' '), dev->dev_addr[j]);
 	XXDEBUG((", base_addr=%#0lx", dev->base_addr));
 	printk("\n");
 	

_
